"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultBuildOptions = defaultBuildOptions;
const esbuild_plugin_pnp_1 = require("@yarnpkg/esbuild-plugin-pnp");
const esbuild_ssr_css_modules_plugin_1 = __importDefault(require("esbuild-ssr-css-modules-plugin"));
function defaultBuildOptions() {
    return function (args) {
        return {
            plugins: [
                (0, esbuild_ssr_css_modules_plugin_1.default)({
                    jsCSSInject: false,
                    onCSSGenerated: args.onCSSGenerated,
                }),
                (0, esbuild_plugin_pnp_1.pnpPlugin)(),
            ],
            bundle: true,
            external: [
                // 'aws-sdk', // included in Lambda runtime environment - sdk v2 not included anymore
                'mock-aws-s3-v3', // for s3 mock
                'testcontainers',
                'aws-sdk-client-mock', // for s3 and ses mocks
            ],
            minify: true,
            platform: 'node',
            format: 'cjs',
            target: 'node18.0',
            treeShaking: true,
            define: {
                'process.env.NODE_ENV': '"production"',
            }, // see https://github.com/evanw/esbuild/issues/2377
            sourcemap: true,
            metafile: true,
        };
    };
}
//# sourceMappingURL=defaultBuildOptions.js.map